
Foreman - Bug #3819

Add proper STI to Operatingsystem subtypes

12/05/2013 12:35 PM - Greg Sutcliffe

Status: Duplicate   

Priority: Normal   

Assignee:    

Category: Rails   

Target version:    

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

Currently we have each Operatingsystem as a toplevel entity in the codebase, which leads to all sorts of weirdness. We have a lot of

STI experience now, so we should redo this properly

Related issues:

Related to Foreman - Bug #345: unable to save associated operatingsystems Closed 07/08/2010

Is duplicate of Foreman - Refactor #3962: Operating system children overwrite... Closed 01/07/2014

History

#1 - 01/07/2014 01:38 PM - Dominic Cleal

- Related to Bug #345: unable to save associated operatingsystems added

#2 - 01/07/2014 02:07 PM - Marek Hulán

- Is duplicate of Refactor #3962: Operating system children overwrites class method added

#3 - 01/07/2014 02:11 PM - Dominic Cleal

- Tracker changed from Refactor to Bug

- Status changed from New to Duplicate
